(function($){
	"use strict";	
    $(document).ready(function() {
        
        var $icon = $('.social-footer a');
        $icon.css({
            'width' : parseFloat( ( 100 / $('.social-footer a').length ) ).toFixed(4) + '%'
        });
            
        if ( $('.post').length ) { $('.post').fitVids(); }
            
        if ( $('select').length ) { $('select').chosen(); }
        
        if ( $('.slider').length )
        {
            $('.slider').owlCarousel({
        		items:1,
        		nav:false,
        		dots:true            
        	});
        }
        
        var $instagram_items = $('.instagram-footer .instagram-pics li');
        if ( $instagram_items.length ) {
            var $item_width = parseFloat( 100 / $instagram_items.length ).toFixed(4);
            $instagram_items.css({
                'width': $item_width + '%'
            })
        }
        
        
        if ( $('.togole-mainmenu').length ) {
            $('.togole-mainmenu').click( function(){
                $('#nav-wrapper .azmenu').toggle();
            } );
        }
        
        $('.azmenu .caret').click( function() {
            var $submenu = $(this).closest('.menu-item-has-children').find(' > .sub-menu');
            
            $submenu.toggle();
            
            return false;
        });
        
        //Check to see if the window is top if not then display button
    	$(window).scroll(function(){
    		if ($(this).scrollTop() > 500) {
    			$('.danny_backtotop').fadeIn();
    		} else {
    			$('.danny_backtotop').fadeOut();
    		}
    	});
    	
    	//Click event to scroll to top
    	$('.danny_backtotop').click(function(){
    		$('html, body').animate({scrollTop : 0},800);
    		return false;
    	});
	
        
        /*--- Function Area ---*/
        function danny_menu_sticky()
        {
            var $nav_top = $("#wpadminbar").length ? $('#wpadminbar').innerHeight() : 0;
            $('#nav-wrapper').css({
               'top': $nav_top
            });
        }
        
        danny_menu_sticky();
        
        /*--- End Function Area ---*/
        
        $(window).resize( function() {
            $icon.css({
                'width' : parseFloat( ( 100 / $('.social-footer a').length ) ).toFixed(4) + '%'
            });
            
            danny_menu_sticky();

        });
        
    });
})(jQuery);